function iconClick() {
    var center = [38.891, 139.824];
    var clickCount = 0;
    var mymap = L.map("icon-click").setView(center, 16);
    mymap.scrollWheelZoom.disable();
    L.tileLayer('//cyberjapandata.gsi.go.jp/xyz/std/{z}/{x}/{y}.png', {
	attribution:
	'<a href="http://maps.gsi.go.jp/development/ichiran.html">\
	国土地理院</a>'
    }).addTo(mymap);
    var marker = L.marker(center).addTo(mymap);
    marker.bindPopup('地図上のどこかをクリックしてください').openPopup();
    function moveIcon(e) {
	marker.setLatLng(e.latlng).bindPopup(
	    ++clickCount + "回目のクリックです.\n" + e.latlng
	).openPopup();
	if ((e.latlng.lat >= 38.893 && e.latlng.lat <= 38.894) && (e.latlng.lng >= 139.819 && e.latlng.lng <= 139.820)) {
	    document.getElementById("title").textContent = " GOAL!";
	}
    }
    mymap.on('click', moveIcon);
}
document.addEventListener("DOMContentLoaded", iconClick);
